function TTS=evotion_d31_tts_predict_HL(ATS,HL)
%
% EVOTION TTS prediction demo Deliverable 3.1
% 
% Given an asymptotic threshold shift for normal hearing of ATS this function
% predicts the similar asymptotoc threshold shift for a hearing loss of HL
% dB
% 
% Authors:
% - Adam Dudarewicz <Adam.Dudarewicz@imp.lodz.pl>, NIOM
% - Malgorzata Pawlaczyk-Luszczynska <Malgorzata.Pawlaczyk@imp.lodz.pl>, NIOM
% - Mariola Sliwinska-Kowalska <Mariola.Sliwinska@imp.lodz.pl>, NIOM
% - Panagiotis Katrakazas, <pan.katrakazas@gmail.com>, ICCS
% - Niels Henrik Pontoppidan <npon@eriksholm.com>, OTC
%
% Acknowledgement
% Work funded by EU through grant agreement 727521 EVOTION
%

P=0.2;
HLp=10*log10( ((10.^(HL/10)).^P+(10.^(ATS/10)).^P -1).^(1/P));
TTS=max(HLp-HL,0);
